Skip to main content
`Ctrl`+`K`

# PCASMGetLocalType

Gets the type of composition used for local problems in the additive Schwarz method, `PCASM`.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCASMGetLocalType(PC pc, PCCompositeType *type)

Logically Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- type - type of composition, one of

      PC_COMPOSITE_ADDITIVE       - local additive combination
      PC_COMPOSITE_MULTIPLICATIVE - local multiplicative combination

## Options Database Key

- -pc_asm_local_type [additive,multiplicative] - Sets local solver composition type

## See Also

KSP: Linear System Solvers, `PCASM`, `PCASMSetType()`, `PCASMGetType()`, `PCASMSetLocalType()`, `PCASMType`, `PCCompositeType`

## Level

intermediate

## Location

src/ksp/pc/impls/asm/asm.c

## Implementations

PCASMGetLocalType_ASM() in src/ksp/pc/impls/asm/asm.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages